Package org.springframework.security.config.annotation.web.configurers

# Class AbstractInterceptUrlConfigurer.AbstractInterceptUrlRegistry<R extends AbstractInterceptUrlConfigurer<C,H>.AbstractInterceptUrlRegistry<R,T>,T>

java.lang.Object
org.springframework.security.config.annotation.web.AbstractRequestMatcherRegistry<C>
org.springframework.security.config.annotation.web.configurers.AbstractConfigAttributeRequestMatcherRegistry<T>
org.springframework.security.config.annotation.web.configurers.AbstractInterceptUrlConfigurer.AbstractInterceptUrlRegistry<R,T>

Direct Known Subclasses:
  `ExpressionUrlAuthorizationConfigurer.ExpressionInterceptUrlRegistry`, `UrlAuthorizationConfigurer.StandardInterceptUrlRegistry`

Enclosing class:
  AbstractInterceptUrlConfigurer<C extends AbstractInterceptUrlConfigurer<C,H>,H extends HttpSecurityBuilder<H>>

public abstract class AbstractInterceptUrlConfigurer.AbstractInterceptUrlRegistry<R extends AbstractInterceptUrlConfigurer<C,H>.AbstractInterceptUrlRegistry<R,T>,T> extends AbstractConfigAttributeRequestMatcherRegistry<T>

## Method Summary

Modifier and Type
Method
Description
`R`
`accessDecisionManager(org.springframework.security.access.AccessDecisionManager accessDecisionManager)`
Allows setting the `AccessDecisionManager`.
`R`
`filterSecurityInterceptorOncePerRequest(boolean filterSecurityInterceptorOncePerRequest)`
Allows setting if the `FilterSecurityInterceptor` should be only applied once per request (i.e.

### Methods inherited from class org.springframework.security.config.annotation.web.configurers.AbstractConfigAttributeRequestMatcherRegistry

`chainRequestMatchers, chainRequestMatchersInternal`

### Methods inherited from class org.springframework.security.config.annotation.web.AbstractRequestMatcherRegistry

`anyRequest, createMvcMatchers, dispatcherTypeMatchers, dispatcherTypeMatchers, getApplicationContext, requestMatchers, requestMatchers, requestMatchers, requestMatchers, setApplicationContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### accessDecisionManager

public R accessDecisionManager(org.springframework.security.access.AccessDecisionManager accessDecisionManager)
Allows setting the `AccessDecisionManager`. If none is provided, a default `AccessDecisionManager` is created.

Parameters:
  `accessDecisionManager` - the `AccessDecisionManager` to use
Returns:
  the `AbstractInterceptUrlConfigurer` for further customization

### filterSecurityInterceptorOncePerRequest

public R filterSecurityInterceptorOncePerRequest(boolean filterSecurityInterceptorOncePerRequest)
Allows setting if the `FilterSecurityInterceptor` should be only applied once per request (i.e. if the filter intercepts on a forward, should it be applied again).

Parameters:
  `filterSecurityInterceptorOncePerRequest` - if the `FilterSecurityInterceptor` should be only applied once per request
Returns:
  the `AbstractInterceptUrlConfigurer` for further customization